The Symphony Mobile is no longer supported with our latest Symphony System installers and current Mac OS versions.

The last Symphony Release Installer package that officially supported the Symphony Mobile card was Symphony Release 4.4.

This installer is compatible with the following Mac OS versions: 10.6.8, 10.7.5, and 10.8.5.  Anything after 10.8.5 is not supported.

 

Click here to download Symphony Release 4.4